package com.ejie.ab79.model.listados;

import java.util.Date;
import java.util.List;

/**
 * 
 *  
 *
 */
public class Busquedas implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idBusqueda;
	private Listados listados;
	private String nombre;
	private String sqlListado;
	private String campos;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltModificacion;
	private String usuarioUltModificacion;

	private List<Parametros> listParametros;

	public Busquedas(int idBusqueda) {
		this.idBusqueda = idBusqueda;
	}

	public Busquedas() {
	}

	/**
	 * @return the idBusqueda
	 */
	public Integer getIdBusqueda() {
		return idBusqueda;
	}

	/**
	 * @param idBusqueda
	 *            the idBusqueda to set
	 */
	public void setIdBusqueda(Integer idBusqueda) {
		this.idBusqueda = idBusqueda;
	}

	/**
	 * @return the listados
	 */
	public Listados getListados() {
		return listados;
	}

	/**
	 * @param listados
	 *            the listados to set
	 */
	public void setListados(Listados listados) {
		this.listados = listados;
	}

	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * @param nombre
	 *            the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return the sqlListado
	 */
	public String getSqlListado() {
		return sqlListado;
	}

	/**
	 * @param sqlListado
	 *            the sqlListado to set
	 */
	public void setSqlListado(String sqlListado) {
		this.sqlListado = sqlListado;
	}

	/**
	 * @return the campos
	 */
	public String getCampos() {
		return campos;
	}

	/**
	 * @param campos
	 *            the campos to set
	 */
	public void setCampos(String campos) {
		this.campos = campos;
	}

	/**
	 * @return the fechaRegistro
	 */
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltModificacion
	 */
	public Date getFechaUltModificacion() {
		return fechaUltModificacion;
	}

	/**
	 * @param fechaUltModificacion
	 *            the fechaUltModificacion to set
	 */
	public void setFechaUltModificacion(Date fechaUltModificacion) {
		this.fechaUltModificacion = fechaUltModificacion;
	}

	/**
	 * @return the usuarioUltModificacion
	 */
	public String getUsuarioUltModificacion() {
		return usuarioUltModificacion;
	}

	/**
	 * @param usuarioUltModificacion
	 *            the usuarioUltModificacion to set
	 */
	public void setUsuarioUltModificacion(String usuarioUltModificacion) {
		this.usuarioUltModificacion = usuarioUltModificacion;
	}

	/**
	 * @return the listParametros
	 */
	public List<Parametros> getListParametros() {
		return listParametros;
	}

	/**
	 * @param listParametros
	 *            the listParametros to set
	 */
	public void setListParametros(List<Parametros> listParametros) {
		this.listParametros = listParametros;
	}

}
